Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1792625 - libssh2 needed for EPEL8
Summary: libssh2 needed for EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: libssh2
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-18 14:27 UTC by Andrew Bauer
Modified: 2020-06-08 08:46 UTC (History)
6 users (show)

Fixed In Version: libssh2-1.9.0-5.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-11 19:29:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CentOS 16492 0 None None None 2020-01-19 15:44:26 UTC

Description Andrew Bauer 2020-01-18 14:27:49 UTC
Description of problem:
Our friends from RedHat decided to remove libssh2 with the release of el 8.1:
https://bugzilla.redhat.com/show_bug.cgi?id=1767908

This has broken vlc and xine-lib packages in RPMFusion, along with other packages that build against one of these, such as ZoneMinder.


Would the package maintainer please build libssh2 for EPEL 8 asap?


If the maintainer wishes, I am willing to build and maintain this package for el8.

FAS Account: kni


I am also part of the ZoneMinder upstream project. We just released a new version, but I cannot build it in RPMFusion until this has been resolved.

Comment 1 Kamil Dudka 2020-01-18 20:49:18 UTC
(In reply to Andrew Bauer from comment #0)
> Our friends from RedHat decided to remove libssh2 with the release of el 8.1:

libssh2 has never been a supported library in RHEL-8.  It was an internal dependency of the virt module only.

> Would the package maintainer please build libssh2 for EPEL 8 asap?

It makes sense to me.  Let's see what Paul thinks as the primary maintainer of libssh2 in Fedora.

Comment 2 Paul Howarth 2020-01-19 15:44:27 UTC
The dropping of libssh2 from RHEL 8.1 is actually a good thing because in RHEL 8.0 it was available in AppStream but without a devel package so it was (a) not buildable for EPEL and (b) not usable to build against.

I've no objection to building libssh2 for EPEL-8 but I can't do it at the moment because the database in Fedora Infrastructure (https://infrastructure.fedoraproject.org/repo/json/pkg_el8.json) believes there's a modular libssh2 in AppStream and CRB, and fedpkg checks against this before requesting a branch. Hence it currently refuses to branch for epel8.

I have raised an infrastructure ticket about this:
https://pagure.io/fedora-infrastructure/issue/8558

Comment 3 Fedora Update System 2020-03-27 11:28:01 UTC
FEDORA-EPEL-2020-3681ce7474 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3681ce7474

Comment 4 Fedora Update System 2020-03-28 01:44:11 UTC
FEDORA-EPEL-2020-3681ce7474 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3681ce7474

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-11 19:29:02 UTC
FEDORA-EPEL-2020-3681ce7474 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.